Subject: bug#4215: 23.1; git vc-annotate is synchronous

From: Tom Tromey <[email-masked]>
Date: Thu, 20 Aug 2009 09:41:53 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I visited a file in a git-managed source tree.
I typed C-x v g (vc-annotate).
Emacs paused while git computed the result.

I think this command should be run asynchronously, as the CVS vc back
end does.  Computing annotations can be slow, even with git, especially
for large/old files.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-03 on x86-5.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  highlight-changes-visible-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-t M-f s C-e o m p l e t e SPC t y p e s <return> 
a h <return> o k <return> p e r h a p s SPC i t SPC 
i s SPC j u s t SPC g d b SPC C-a C-k m a y b e SPC 
g d b SPC w i l l SPC n e e d SPC a SPC f i x SPC t 
h e n <return> I SPC w o n d e r SPC h o w SPC c o 
m m o n SPC t h i s SPC i s <return> <f10> <f10> <f10> 
<f10> <f10> <f10> C-z o <backspace> <help-echo> <switch-frame> 
<f10> <f10> <f10> <f10> <f10> <f10> <f10> <f10> <f10> 
<f10> C-z o = C-u E SPC E S-SPC S-SPC E S-SPC S-SPC 
= E E S-SPC SPC E S-SPC SPC E S-SPC E S-SPC E S-SPC 
E S-SPC C-z o <f10> <f10> <f10> C-z o SPC SPC SPC SPC 
E S-SPC E E E S-SPC SPC = C-u E E E E E E E E E E E 
E E E E E E E E E E E E E E E S-SPC C-z o <f10> <f10> 
<f10> C-x b C-g C-x b * c o m <tab> <return> C-x C-f 
/ s p <tab> t r <tab> S e <tab> a r <tab> g d <tab> 
C-g C-x v d / s p <tab> t r <tab> S e <tab> a r <tab> 
<return> <switch-frame> C-z o C-x 1 C-u C-n C-n n n 
<f10> <f10> <f10> <f10> C-z o C-z o n f C-v C-v C-v 
C-h c C-x v g C-z o C-x 1 M-x r e p o r t - e m <tab> 
<return>

Recent messages:
Mark set
Discard changes to this group and exit? (y or n) 
Retrieving newsgroup: nnml:mail.other...
Fetching headers for nnml:mail.other...done
Scoring...done
Scoring...done
Generating summary...done
Auto-saving...done
Quit [2 times]
C-x v g runs the command vc-annotate
C-x v g runs the command vc-annotate
Tom